//[core](../../../index.md)/[com.yandex.payment.sdk.core.data](../index.md)/[PaymentMethodsFilter](index.md)

# PaymentMethodsFilter

[core]\
data class [PaymentMethodsFilter](index.md)(**isStoredCardAvailable**: Boolean, **isGooglePayAvailable**: Boolean, **isSBPAvailable**: Boolean, **isYandexBankAccountAvailable**: Boolean) : Parcelable

Фильтр способов оплаты в списке.

## Constructors

| | |
|---|---|
| [PaymentMethodsFilter](-payment-methods-filter.md) | [core]<br>fun [PaymentMethodsFilter](-payment-methods-filter.md)(isStoredCardAvailable: Boolean = true, isGooglePayAvailable: Boolean = true, isSBPAvailable: Boolean = true, isYandexBankAccountAvailable: Boolean = true) |

## Properties

| Name | Summary |
|---|---|
| [isGooglePayAvailable](is-google-pay-available.md) | [core]<br>val [isGooglePayAvailable](is-google-pay-available.md): Boolean = true |
| [isSBPAvailable](is-s-b-p-available.md) | [core]<br>val [isSBPAvailable](is-s-b-p-available.md): Boolean = true |
| [isStoredCardAvailable](is-stored-card-available.md) | [core]<br>val [isStoredCardAvailable](is-stored-card-available.md): Boolean = true |
| [isYandexBankAccountAvailable](is-yandex-bank-account-available.md) | [core]<br>val [isYandexBankAccountAvailable](is-yandex-bank-account-available.md): Boolean = true |
